import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { HomeComponent } from './components/home/home.component';
import { InicioComponent } from './components/inicio/inicio.component';
import { BusquedaProductosComponent } from './components/busqueda-productos/busqueda-productos.component';
import { ConfirmacionCarritoComponent } from './components/confirmacion-carrito/confirmacion-carrito.component';
import { MasterComponent } from './components/master/master.component';
import { CancelarCompraComponent } from './components/cancelar-compra/cancelar-compra.component';
import { MensajeFinalComponent } from './components/mensaje-final/mensaje-final.component';
import { ComandaComponent } from './components/comanda/comanda.component';
import { PedidosSalientesComponent } from './components/pedidos-salientes/pedidos-salientes.component';

const routes: Routes = [
  { path: '', component: HomeComponent },
  { path: 'home', component: HomeComponent },
  { path: 'confirmacion-carrito', component: ConfirmacionCarritoComponent },
  { path: 'cancelar-compra', component: CancelarCompraComponent },
  { path: 'mensaje-final', component: MensajeFinalComponent },
  { path: 'comanda', component: ComandaComponent },
  { path: 'pedidos-salientes', component: PedidosSalientesComponent },
  {
    path: '',
    component: MasterComponent,
    children: [
      { path: 'inicio', component: InicioComponent },
      { path: 'busqueda-productos', component: BusquedaProductosComponent }
    ]
  },
  { path: '**', redirectTo: '/home', pathMatch: 'full' },
];

@NgModule({
  imports: [RouterModule.forRoot(routes, {onSameUrlNavigation: 'reload'})],
  exports: [RouterModule]
})

export class AppRoutingModule { }
