//#region MODULES
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppRoutingModule } from './app-routing.module';
import { HttpClientModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TooltipModule } from 'ngx-bootstrap/tooltip';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { CarouselModule } from 'ngx-bootstrap/carousel';
import { PaginationModule } from 'ngx-bootstrap/pagination';
import { ModalModule } from 'ngx-bootstrap/modal';
//#endregion

//#region Keyboard
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { MatButtonModule } from '@angular/material/button';
import { MatKeyboardModule } from '@ngx-material-keyboard/core';
//#endregion

//#region COMPONENTS
import { AppComponent } from './app.component';
import { HeaderComponent } from './components/header/header.component';
import { SidebarComponent } from './components/sidebar/sidebar.component';
import { HomeComponent } from './components/home/home.component';
import { InicioComponent } from './components/inicio/inicio.component';
import { BusquedaProductosComponent } from './components/busqueda-productos/busqueda-productos.component';
import { ConfirmacionCarritoComponent } from './components/confirmacion-carrito/confirmacion-carrito.component';
import { MasterComponent } from './components/master/master.component';
import { PopoverPromosComponent } from './components/popover-promos/popover-promos.component';
import { PopoverSinonimosComponent } from './components/popover-sinonimos/popover-sinonimos.component';
import { CancelarCompraComponent } from './components/cancelar-compra/cancelar-compra.component';
import { MensajeFinalComponent } from './components/mensaje-final/mensaje-final.component';
import { ComandaComponent } from './components/comanda/comanda.component';
import { PedidosSalientesComponent } from './components/pedidos-salientes/pedidos-salientes.component';
import { PagoConTarjetaComponent } from './components/pago-con-tarjeta/pago-con-tarjeta.component';
import { ConfiguracionComponent } from './components/configuracion/configuracion.component';
//#endregion

@NgModule({
  declarations: [
    AppComponent,
    HeaderComponent,
    SidebarComponent,
    HomeComponent,
    InicioComponent,
    BusquedaProductosComponent,
    ConfirmacionCarritoComponent,
    MasterComponent,
    PopoverPromosComponent,
    PopoverSinonimosComponent,
    CancelarCompraComponent,
    MensajeFinalComponent,
    ComandaComponent,
    PedidosSalientesComponent,
    PagoConTarjetaComponent,
    ConfiguracionComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    HttpClientModule,
    FormsModule,
    ReactiveFormsModule,
    ReactiveFormsModule.withConfig({ warnOnNgModelWithFormControl: 'never' }),
    TooltipModule.forRoot(),
    PopoverModule.forRoot(),
    BrowserAnimationsModule,
    MatKeyboardModule,
    MatButtonModule,
    CarouselModule.forRoot(),
    PaginationModule.forRoot(),
    ModalModule.forRoot(),
  ],
  providers: [],
  bootstrap: [AppComponent],
  entryComponents: [PagoConTarjetaComponent, ConfiguracionComponent]
})
export class AppModule { }
