import { Component, OnInit, OnDestroy } from '@angular/core';
import { APP_SETTINGS } from 'src/etc/AppSettings';
import { Location } from '@angular/common';
import { Router } from '@angular/router';
import { ProductoService } from 'src/app/services/producto.service';

@Component({
  selector: 'app-cancelar-compra',
  templateUrl: './cancelar-compra.component.html',
  styleUrls: ['./cancelar-compra.component.scss']
})
export class CancelarCompraComponent implements OnInit, OnDestroy {

  private apiDeboSuite: string = APP_SETTINGS.apiDeboSuite;
  private timer: any;

  constructor(
    private location: Location,
    private router: Router,
    private productoService: ProductoService
  ) { }

  ngOnInit() {

    this.timer = setTimeout(() => {
      this.limpiarCarritoYvolver();
    }, 30000)
  }

  ngOnDestroy() {

    clearTimeout(this.timer);
  }

  volverPreviousPage() {

    this.location.back();
  }

  limpiarCarritoYvolver() {

    this.productoService.productoAcargar = undefined;
    this.productoService.promoAcargar = undefined;
    this.productoService.productos = [];
    this.router.navigate(['/home']);
  }

}
