import { Component, OnInit } from '@angular/core';
import { ComandaService } from 'src/app/services/comanda.service';
import { Title } from '@angular/platform-browser';

@Component({
  selector: 'app-pedidos-salientes',
  templateUrl: './pedidos-salientes.component.html',
  styleUrls: ['./pedidos-salientes.component.scss']
})
export class PedidosSalientesComponent implements OnInit {

  private pedidosRecientes = [];
  private cicloTime;

  constructor(
    private comandaService: ComandaService,
    private titleService: Title
  ) {

    this.titleService.setTitle('Pedidos Salientes');
  }

  ngOnInit() {

    this.buscar();
    this.ciclo();
  }

  ngOnDestroy() {

    clearTimeout(this.cicloTime);
  }

  ciclo() {

    this.cicloTime = setTimeout(() => {

      this.buscar();
      this.ciclo();
    }, 5000)
  }

  buscar() {
    this.comandaService
      .getPendientesEntrega()
      .subscribe((pedidos: []) => {

        this.pedidosRecientes = pedidos;
      }, console.log);
  }

  rellenar(relleno, longitud) {
    relleno = '' + relleno;
    while (relleno.length < longitud) {
      relleno = '0' + relleno;
    }
    return relleno;
  }
}
