import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { PopoverDirective } from 'ngx-bootstrap/popover';
import { Producto } from 'src/app/wrappers/producto';

@Component({
  selector: 'app-popover-promos',
  templateUrl: './popover-promos.component.html',
  styleUrls: ['./popover-promos.component.scss']
})
export class PopoverPromosComponent implements OnInit {

  @Input() popover: PopoverDirective;
  @Input() popoverContent: Producto[];
  @Output() promoSeleccionada = new EventEmitter<Producto>();

  constructor() { }

  ngOnInit() {
  }

  hide() {
    this.popover.hide();
  }

  seleccionarPromo(promo: Producto) {

    this.promoSeleccionada.emit(promo);
  }

  calcularPrecioDePromo(promo: Producto) {

    promo.PreVen = 0;
    promo.productos.forEach(producto => {
      promo.PreVen += producto.PreVen;
    })
    return promo.PreVen;
  }

}
