import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/internal/Observable';
import { APP_SETTINGS } from 'src/etc/AppSettings';
import { HttpClient } from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class PuntoVentaService {

  private apiDeboSuite = APP_SETTINGS.apiDeboSuite;

  constructor(
    private http: HttpClient
  ) { }

  getAll(): Observable<any> {

    return this.http.get(`${this.apiDeboSuite}/get/puntos-venta`);
  }

  getByID(id: number): Observable<any> {

    return this.http.get(`${this.apiDeboSuite}/get/punto-venta/${id}`);
  }

  getVendedor(filter: any = {}): Observable<any> {

    return this.http.get(`${this.apiDeboSuite}/get/vendedor/${JSON.stringify(filter)}`);
  }

}
